CREATE TABLE ESTORNO_DESPESA_UH (
ID_ESTORNO_DESPESA_UH INTEGER NOT NULL PRIMARY KEY,
ID_DESPESA_UH INTEGER
);

CREATE GENERATOR GEN_ID_ESTORNO_DESPESA_UH ;

SET TERM ^;

CREATE TRIGGER TRIG_GEN_ID_ESTORNO_DESPESA_UH FOR ESTORNO_DESPESA_UH
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_ESTORNO_DESPESA_UH = gen_id(GEN_ID_ESTORNO_DESPESA_UH,1);
END
^

COMMIT WORK^
SET TERM;^
